summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/alsa-plugins/alsa-plugins.SlackBuild2
-rwxr-xr-xsource/l/at-spi2-atk/at-spi2-atk.SlackBuild4
-rwxr-xr-xsource/l/at-spi2-core/at-spi2-core.SlackBuild4
-rwxr-xr-xsource/l/atk/atk.SlackBuild4
-rwxr-xr-xsource/l/dconf-editor/dconf-editor.SlackBuild4
-rwxr-xr-xsource/l/dconf/dconf.SlackBuild4
-rwxr-xr-xsource/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild4
-rwxr-xr-xsource/l/gegl/gegl.SlackBuild2
-rwxr-xr-xsource/l/gexiv2/gexiv2.SlackBuild4
-rwxr-xr-xsource/l/glib-networking/glib-networking.SlackBuild4
-rwxr-xr-xsource/l/glib2/glib2.SlackBuild4
-rwxr-xr-xsource/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild4
-rwxr-xr-xsource/l/gst-plugins-libav/gst-plugins-libav.SlackBuild12
-rwxr-xr-xsource/l/gvfs/gvfs.SlackBuild6
-rwxr-xr-xsource/l/json-glib/json-glib.SlackBuild4
-rwxr-xr-xsource/l/libnotify/libnotify.SlackBuild4
-rwxr-xr-xsource/l/libsoup/libsoup.SlackBuild4
-rw-r--r--source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch18
-rwxr-xr-xsource/l/libvisual-plugins/libvisual-plugins.SlackBuild7
-rwxr-xr-xsource/l/pygobject3/pygobject3.SlackBuild4
20 files changed, 57 insertions, 46 deletions
diff --git a/source/l/alsa-plugins/alsa-plugins.SlackBuild b/source/l/alsa-plugins/alsa-plugins.SlackBuild
index 74a89e42d..81d41f335 100755
--- a/source/l/alsa-plugins/alsa-plugins.SlackBuild
+++ b/source/l/alsa-plugins/alsa-plugins.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alsa-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/at-spi2-atk/at-spi2-atk.SlackBuild b/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
index 599e62e47..d751e4002 100755
--- a/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
+++ b/source/l/at-spi2-atk/at-spi2-atk.SlackBuild
@@ -95,8 +95,8 @@ meson setup \
--localstatedir=/var \
--buildtype=release \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/at-spi2-core/at-spi2-core.SlackBuild b/source/l/at-spi2-core/at-spi2-core.SlackBuild
index 8cb76daab..80aaecc25 100755
--- a/source/l/at-spi2-core/at-spi2-core.SlackBuild
+++ b/source/l/at-spi2-core/at-spi2-core.SlackBuild
@@ -88,8 +88,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/atk/atk.SlackBuild b/source/l/atk/atk.SlackBuild
index 4bdce1b28..f08fc35ef 100755
--- a/source/l/atk/atk.SlackBuild
+++ b/source/l/atk/atk.SlackBuild
@@ -96,8 +96,8 @@ meson setup \
-Dintrospection=true \
-Ddocs=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/dconf-editor/dconf-editor.SlackBuild b/source/l/dconf-editor/dconf-editor.SlackBuild
index a15b8f264..c7901c6fb 100755
--- a/source/l/dconf-editor/dconf-editor.SlackBuild
+++ b/source/l/dconf-editor/dconf-editor.SlackBuild
@@ -96,8 +96,8 @@ meson setup \
--localstatedir=/var \
--buildtype=release \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Compress manual pages:
diff --git a/source/l/dconf/dconf.SlackBuild b/source/l/dconf/dconf.SlackBuild
index 9d96652e2..0613d940c 100755
--- a/source/l/dconf/dconf.SlackBuild
+++ b/source/l/dconf/dconf.SlackBuild
@@ -99,8 +99,8 @@ meson setup \
-Dgtk_doc=true \
-Dman=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# bash-completion is not available at build time, so install the file manually:
diff --git a/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild b/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
index 8cda0fce4..5b3390403 100755
--- a/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
+++ b/source/l/gdk-pixbuf2/gdk-pixbuf2.SlackBuild
@@ -99,8 +99,8 @@ meson setup \
-Dx11=true \
-Dinstalled_tests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/gegl/gegl.SlackBuild b/source/l/gegl/gegl.SlackBuild
index 269d4d423..73f0c3e9c 100755
--- a/source/l/gegl/gegl.SlackBuild
+++ b/source/l/gegl/gegl.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gegl
VERSION=${VERSION:-$(echo gegl-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/gexiv2/gexiv2.SlackBuild b/source/l/gexiv2/gexiv2.SlackBuild
index eaae0508c..6be19f8fd 100755
--- a/source/l/gexiv2/gexiv2.SlackBuild
+++ b/source/l/gexiv2/gexiv2.SlackBuild
@@ -88,8 +88,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/l/glib-networking/glib-networking.SlackBuild b/source/l/glib-networking/glib-networking.SlackBuild
index 56ac842e4..4725aaa89 100755
--- a/source/l/glib-networking/glib-networking.SlackBuild
+++ b/source/l/glib-networking/glib-networking.SlackBuild
@@ -87,8 +87,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
diff --git a/source/l/glib2/glib2.SlackBuild b/source/l/glib2/glib2.SlackBuild
index 44615e2f5..0c0783edd 100755
--- a/source/l/glib2/glib2.SlackBuild
+++ b/source/l/glib2/glib2.SlackBuild
@@ -103,8 +103,8 @@ meson setup \
-Dgtk_doc=true \
-Dinstalled_tests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
index cbe8394b2..df7b6a638 100755
--- a/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
+++ b/source/l/gsettings-desktop-schemas/gsettings-desktop-schemas.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
--localstatedir=/var \
--mandir=/usr/man \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
diff --git a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
index a81de63a2..e4cd6aaef 100755
--- a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
+++ b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gst-plugins-libav
VERSION=${VERSION:-$(echo gst-libav-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -82,15 +82,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# --with-system-libav now requires ffmpeg4, so we'll use the embedded version
-# until we are able to switch over to that.
-if [ ! "$VERSION" = "1.16.0" ]; then
- echo "New version detected... if we aren't using ffmpeg4 yet please update"
- echo "the check in gst-plugins-libav.SlackBuild."
- echo "Exiting."
- exit 1
-fi
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -100,6 +91,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--disable-static \
+ --with-system-libav \
--with-libav-extra-configure=\"--enable-runtime-cpudetect\" \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/l/gvfs/gvfs.SlackBuild b/source/l/gvfs/gvfs.SlackBuild
index c5c0836e2..b59469b08 100755
--- a/source/l/gvfs/gvfs.SlackBuild
+++ b/source/l/gvfs/gvfs.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gvfs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -101,8 +101,8 @@ meson setup \
-Dsystemduserunitdir=no \
-Dtmpfilesdir=no \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
## This was an issue in 2012, but we will try commenting this sed command out
diff --git a/source/l/json-glib/json-glib.SlackBuild b/source/l/json-glib/json-glib.SlackBuild
index 77b6962dc..b761b92fa 100755
--- a/source/l/json-glib/json-glib.SlackBuild
+++ b/source/l/json-glib/json-glib.SlackBuild
@@ -104,8 +104,8 @@ meson setup \
--buildtype=release \
-Ddocs=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libnotify/libnotify.SlackBuild b/source/l/libnotify/libnotify.SlackBuild
index 0beb380e5..3e4204c9a 100755
--- a/source/l/libnotify/libnotify.SlackBuild
+++ b/source/l/libnotify/libnotify.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
-Ddocbook_docs=disabled \
-Dtests=false \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libsoup/libsoup.SlackBuild b/source/l/libsoup/libsoup.SlackBuild
index 39314847f..41d379a66 100755
--- a/source/l/libsoup/libsoup.SlackBuild
+++ b/source/l/libsoup/libsoup.SlackBuild
@@ -93,8 +93,8 @@ meson setup \
-Dvapi=true \
-Ddoc=true \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# Don't ship .la files:
diff --git a/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch b/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch
new file mode 100644
index 000000000..8e54e02cb
--- /dev/null
+++ b/source/l/libvisual-plugins/60_no-const-vispluginfo-in-nastyfft.patch
@@ -0,0 +1,18 @@
+The static VisPluginInfo in nastyfft was declared as const, but libvisual write
+to its refcount when it visual_object_unref()s it (nasty!). This is broken at
+various levels: libvisual shouldn't be writing to this static plugin which is
+allocated by a dlopen()ed plugin, and it should also honor the "const
+VisPluginInfo" API... Anyway, nastyfft was the only occurrence and this fixes
+the crash for now; LP: #287448.
+
+--- libvisual-plugins-0.4.0.dfsg.1.orig/plugins/actor/nastyfft/actor_nastyfft.c
++++ libvisual-plugins-0.4.0.dfsg.1/plugins/actor/nastyfft/actor_nastyfft.c
+@@ -80,7 +80,7 @@
+ .vidoptions.depth = VISUAL_VIDEO_DEPTH_GL
+ }};
+
+- static const VisPluginInfo info[] = {{
++ static VisPluginInfo info[] = {{
+ .type = VISUAL_PLUGIN_TYPE_ACTOR,
+
+ .plugname = N_("nastyfft"),
diff --git a/source/l/libvisual-plugins/libvisual-plugins.SlackBuild b/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
index 84f6f7f07..2352227fb 100755
--- a/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
+++ b/source/l/libvisual-plugins/libvisual-plugins.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libvisual-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,7 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/libvisual-plugins.gstreamer.diff.gz | patch -p1 || exit 1
+zcat $CWD/libvisual-plugins.gstreamer.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/60_no-const-vispluginfo-in-nastyfft.patch.gz | patch -p1 --verbose || exit 1
# Configure:
CFLAGS="$SLKCFLAGS" \
diff --git a/source/l/pygobject3/pygobject3.SlackBuild b/source/l/pygobject3/pygobject3.SlackBuild
index 1a461e582..9eda45f34 100755
--- a/source/l/pygobject3/pygobject3.SlackBuild
+++ b/source/l/pygobject3/pygobject3.SlackBuild
@@ -97,8 +97,8 @@ meson setup \
--buildtype=release \
-Dpython=python3 \
.. || exit 1
- ninja $NUMJOBS || exit 1
- DESTDIR=$PKG ninja install || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
cd ..
# No ninja "make clean"?